%define name swfdec
%define version 0.8.4
%define major 0.8
%define libname %mklibname %name %{major}
%define rel 1

Name:		%name
Version:	%version
Release:	%mkrel %rel 
Summary:	Flash animations rendering library
Group:		System/Libraries
License:	LGPL
URL:		http://swfdec.freedesktop.org/
Source:		http://swfdec.freedesktop.org/download/%name/%major/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:  libxt-devel
BuildRequires:  libmad-devel
BuildRequires:  gimp2-devel libalsa-devel
BuildRequires:	liboil-devel >= 0.3
BuildRequires:	autoconf2.5 >= 2.58
BuildRequires:	ffmpeg-devel
BuildRequires:	libgstreamer-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	x264-devel >= 1.65 libsoup-devel libgstbasevideo-devel
Requires:	x264 >= 1.65


%description
Libswfdec is a library for rendering Flash animations. Currently it
handles mostFlash 3 animations and some Flash 4. No interactivity is
supported yet.

%package -n %libname
Summary: Shared library for decoding Flash animations
Group: System/Libraries

%description -n %libname
Libswfdec is a library for rendering Flash animations. Currently it
handles mostFlash 3 animations and some Flash 4. No interactivity is
supported yet.

This package contains the shared library needed to run libswfdec
applications.

%package -n %libname-devel
Summary:	Swfdec development files and static libraries
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libswfdec-devel = %version-%release
Provides:	swfdec-devel = %version-%release

%description -n %libname-devel
This contains the files needed to build packages that depend on
swfdec.

%prep
%setup -q 
autoconf

%build
export CFLAGS="%optflags -DMOZ_X11 -I /usr/include/libavcodec -I /usr/include/libavformat -I /usr/include/libavutil" 
%configure2_5x --enable-shared 
#gw parallel build does not work
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall plugindir=%buildroot/%_libdir/mozilla/plugins gimplibdir=%buildroot%_libdir/gimp/2.0
# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f %buildroot%_sysconfdir/gtk-2.0/gdk-pixbuf.loaders
#

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libswfdec-%major.so.*
%{_libdir}/libswfdec-gtk-%major.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/libswfdec-%major.a
%{_libdir}/libswfdec-gtk-%major.a
%{_libdir}/libswfdec-%major.so
%{_libdir}/libswfdec-gtk-%major.so
%{_libdir}/pkgconfig/swfdec-%major.pc
%{_libdir}/pkgconfig/swfdec-gtk-%major.pc
%dir %{_includedir}/swfdec-%major/
%{_includedir}/swfdec-%major/*
%_datadir/gtk-doc/html/%name/


%changelog
* Mon Jul 11 2011 MBantz <martin dot bantz at gmail dot com> 0.8.4
- Rebuilt against updated x.264
- Updated

* Fri Dec 25 2009 Texstar <texstar at gmail.com> 0.4.4-4pclos2010
- rebuild

* Mon Jun 22 2009 Texstar <texstar@gmail.com> 0.4.4-3pclos2009
- rebuild

* Thu Aug 02 2007 Texstar <texstar@gmail.com> 0.4.4-2pclos2007
- rebuild against updated libx264_56


